Bug 447733 - qemu virtual machine freezes, eating all CPU
qemu virtual machine freezes, eating all CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 09:48 EDT by Karel Volný
Modified: 2009-07-14 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2008-05-21 09:48:05 EDT
Description of problem:
When trying to use virtual machine in qemu, sooner or later it freezes. The
opened console does not react to anything, and if closed, new connection cannot
be established. The qemu process eats all the available time of one of the CPU
cores.

Version-Release number of selected component (if applicable):
qemu-0.9.1-5.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
at first, I did this:
0. (some installation)
1. service libvirtd start
2. virt-install -n F7 -r 512 --vcpus 2 -f /root/virtual/F7 -s 32 -v -c boot.iso
-w bridge:virbr0
3. within the virtual machine, I started installation from http, then basically
clicking next, next, it freezed while formatting the disk

Actual results:
virtual machine stopped responding

Expected results:
virtual machine runs

Additional info:
- the same happens when I try to install Fedora 8
- I also tried to reuse the virtual machine created by virt-install, setting
boot from CD image using virt-manager and then starting it from virt-manager
- sometimes, it freezes (much) earlier than during formatting the disk
- what I find strange is that virt-manager reports that the disk image would be
"hdc" while the installers (both F7 and F8) detect it as sda
- if I try to stop the virtual machine using virt-manager, the qemu process
still runs (and eats cpu); it even survives the restart of libvirtd
Comment 1 Bug Zapper 2009-06-09 21:03:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:17:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.